\begin{frame}{Earliest-Deadline-First}

  \begin{block}{Concept}
    The Earliest Deadline First (EDF) is a dynamic scheduling algorithm with dynamic priorities.\\ 
    
    It is preemptive and assigns the CPU to the task in the ready queue with the closest deadline.\\
    
    EDF is an optimal scheduler, therefore, if a set of the task is schedulable in another dynamic-priority algorithm then it is also schedulable by EDF.\\
    
    EDF has the capability to schedule both periodic and non-periodic tasks.\\
  \end{block}

\end{frame}
